﻿# This is a Database script to insert the initial values into Small Business System (SBS)
# database table from scratch
#
# Created by  : Felix Kang - I-CAT Computing
# Created On  : 01 AUG 2005
# Requirement : mySQL v5.0.26 and above
# Note        : - This script has to be run as user who has INSERT access to SBS system
#
#------------------------------------------------------------------------------------
# History
# - 28 JUL 2005: database script creation
#------------------------------------------------------------------------------------

# Make sure that SBS is our current database
USE SBS;

#Insert Initial Unique ID values
INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('COMPANY_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('COMPANY_CONTACT_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('COMP_OPP_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('CUSTOMER_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('HISTORY_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('DOCUMENT_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('EXTRA_INFO_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('PRODUCT_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('QUOTE_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('INVOICE_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('PERSONNEL_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('NEXT_OF_KIN_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('PERSONNEL_QUALF_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('QUALIFICATION_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('PERSONNEL_ABS_ID_COUNTER','0');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('ANNUAL LEAVE_ABSRATE','2.923');

INSERT INTO PROGRAM_SETTINGS (SETTINGS_NAME, SETTINGS_VALUE)
VALUES ('SICK LEAVE_ABSRATE','1.461');



#Insert some default values for lookup
INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY','cboCompanyType','SUPPLIER');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY','cboCompanyType','CUSTOMER');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY','cboCompanyType','DISTRIBUTOR');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY','cboCompanyType','CREDITOR');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY','cboCompanyType','TRAINER');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('PRODUCT_MODULE','cboProductType','SERVICES');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('INVOICE_MODULE','cboInvoicePaid','YES');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY_OPP_INFO','cboImportance','HIGH');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY_OPP_INFO','cboImportance','MEDIUM');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('CRM_COMPANY_OPP_INFO','cboImportance','LOW');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('PERSONNEL_MODULE','cboAbsenceType','ANNUAL LEAVE');

INSERT INTO LOOKUP_VALUES (MODULE_NAME, LOOKUP_NAME, LOOKUP_VALUE)
VALUES ('PERSONNEL_MODULE','cboAbsenceType','SICK LEAVE');